<?php

namespace MattChoinski\EmployeeDatabase\Helper
{
	require_once( realpath( $_SERVER[ "DOCUMENT_ROOT" ] ) . "/helper/common.php" );

	use \MattChoinski\EmployeeDatabase\Helper\Session as Session;

	class Security
	{
		public static function HasSession()
		{
			$result = false;

			$userAgent = Session::Fetch( "user_agent" );
			if ( isset( $userAgent ) )
			{
				if ( $userAgent == md5( $_SERVER[ "HTTP_USER_AGENT" ] ) )
				{
					$result = true;
				}
			}

			return $result;
		}

		public static function Login( )
		{
			$result = false;

			$login = new \MattChoinski\EmployeeDatabase\Model\Employee();
 			$login->Email =
 				filter_input(
 					INPUT_POST,
 					"email",
 					FILTER_SANITIZE_STRING );
 			$login->Password =
 				filter_input(
 					INPUT_POST,
 					"password",
 					FILTER_SANITIZE_STRING );
			$bcrypt = new \MattChoinski\EmployeeDatabase\Helper\Bcrypt();
			$model = \MattChoinski\EmployeeDatabase\Model\Employee::FetchByEmail( $login->Email );
			if ( $bcrypt->verify( $login->Password, $model->Password )
				&& $model->IsApproved == 1 )
			{
				Session::Set( "id", $model->Id );
				Session::Set( "name_first", $model->NameFirst );
				Session::Set( "name_last", $model->NameLast );
				Session::Set( "role_id", $model->RoleId );
				Session::Set( "user_agent", md5( $_SERVER[ "HTTP_USER_AGENT" ] ) );

				$result = true;
			}

			return $result;
		}

		public static function Logout( )
		{
			Session::Destroy();
		}
	}
}
