<?php

namespace MattChoinski\EmployeeDatabase\Model
{
	use PDO as PDO;

	abstract class Base
	{
		private static $connectionString = "sqlite:../data/database.db";
		private static $dataStore;
		private static $singleton;

		public $Id;
		public $CreatedById;
		public $DateCreated;

		final protected static function Execute(
			$dataQuery,
			$dataParameter = null )
		{
			if ( is_null( self::$dataStore ) )
			{
				self::$dataStore = new PDO( self::$connectionString );
			}
			self::$dataStore->exec( $dataQuery );

			return self::$dataStore->lastInsertId();
		}

		protected static function Fetch(
			$dataQuery )
		{
			$className = get_called_class();
			if ( is_null( self::$dataStore ) )
			{
				self::$dataStore = new PDO( self::$connectionString );
			}
			$dataResult = self::$dataStore->prepare( $dataQuery );
			$dataResult->execute();

			return $dataResult->FetchAll( PDO::FETCH_CLASS, $className );
		}

		abstract public static function FetchAll( );

		abstract public static function FetchById(
			$id );
	}
}
