<?php

$urlPath =
	( !empty( $_SERVER[ "HTTPS" ] )
		&& $_SERVER[ "HTTPS" ] == "on"
			? "https://"
			: "http://" )
	. $_SERVER[ "SERVER_NAME" ];

?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta content="" name="description">
		<meta content="" name="keywords">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<link href="<?php echo( $urlPath ); ?>/include/style/screen.css" media="screen" rel="stylesheet">
		<!--[if lt IE 9]>
		<link href="<?php echo( $urlPath ); ?>/include/style/screen_ie.css" media="screen" rel="stylesheet">
		<![endif]-->
		<link rel="stylesheet" href="<?php echo( $urlPath ); ?>/include/style/font-awesome.min.css">
		<!--[if IE 7]>
		  <link rel="stylesheet" href="<?php echo( $urlPath ); ?>/include/style/font-awesome-ie7.min.css">
		<![endif]-->
		<title>employee-database</title>
		<!--[if lt IE 9]>
		<script src="<?php echo( $urlPath ); ?>/include/script/html5shim.js"></script>
		<![endif]-->
	</head>
	<body>
<?php

flush();

?>
		<header>
			<h1>employee-database</h1>
		</header>
		<div class="columns two">
			<section>
				<h1>Welcome</h1>
				<p>The <em>employee-database.choinski.net</em> application demonstrates a PHP MVC pattern developed for small web projects.</p>
				<p>It is important to note that this application demonstrates a <em>pattern</em> and not a <em>framework</em>.</p>
			</section>
			<section>
				<h2>Login</h2>
				<form action="<?php echo( $urlPath ); ?>/login/" data-validate="parsley" method="post">
					<fieldset>
						<ol>
							<li><label for="email">E-mail:</label><input class="medium" data-error-message="Please enter your e-mail address." data-required="true" id="email" name="email" type="email" /></li>
							<li><label for="password">Password:</label><input class="medium" data-error-message="Please enter your password." data-required="true" id="password" name="password" type="password" /></li>
						</ol>
						<input type="submit" value="Login" />
					</fieldset>
				</form>
			</section>
		</div>
		<footer>
			<p>&copy; Matthew Choinski</p>
		</footer>
		<script src="<?php echo( $urlPath ); ?>/include/script/jquery.min.js" type="text/javascript"></script>
		<script src="<?php echo( $urlPath ); ?>/include/script/parsley.js"></script>
		<script src="<?php echo( $urlPath ); ?>/include/script/script.js" type="text/javascript"></script>
	</body>
</html>